Lightroom: Can't update to 6.3

  • 1
  • Problem
  • Updated 3 years ago
  • Solved
  • (Edited)
I have Lightroom 6. I've updated to 6.1 but the software still says version 6.0.
Didn't try 6.2 because of the import issues, but have just tried to update to 6.3 using the link within Lightroom which directed me to the Creative Cloud.
Only update available was Lightroom CC which I ran. Process completed ok but my software still says version 6.0.
Have since gone directly to the Adobe journal page which has a download link for LR6. Ran that, it completed ok.
But software still says version 6.0 in the System Info. screen.
Have checked supported Canon lenses and they are not updated to 6.3.
Can anyone please give some guidance on what to do next?
Thanks.
Neil
Photo of Neil Morrell

Neil Morrell

  • 3 Posts
  • 0 Reply Likes

Posted 3 years ago

  • 1
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 14147 Posts
  • 1765 Reply Likes
Hi Neil, are you on Mac or Windows? I would suggest uninstalling and reinstalling.
Photo of Neil Morrell

Neil Morrell

  • 3 Posts
  • 0 Reply Likes
Hi Jeffrey,

I'm on Mac.

LR6 was purchased online. I guess to re-install I just download LR6 from Adobe site and use activation key I was sent by email.?

Is that correct?
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 14147 Posts
  • 1765 Reply Likes
Hi Neil,

correct. You can go inside the "Adobe Lightroom" application folder. There is a "Uninstall Adobe Lightroom" file you can double-click to uninstall.

You can grab the Lightroom 6 installer from here: https://helpx.adobe.com/lightroom/kb/...
Photo of Neil Morrell

Neil Morrell

  • 3 Posts
  • 0 Reply Likes
Yes its worked. Download was again 6.0 but ran the patch update and voila, 6.3 is here.

Thank you so much
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 14147 Posts
  • 1765 Reply Likes
Great. Question, do you have a custom install location set for your applications? (e.g. are you installing applications on an external/secondary drive?)